Crystal Space: iSndSysSource Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSource Struct Reference
[Sound system]

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSource:

[legend]
List of all members.

## Public Member Functions
virtual bool | AddOutputFilter (SndSysFilterLocation Location, iSndSysSoftwareOutputFilter *pFilter)=0
| Add an output filter at the specified location.
virtual iSndSysSource * | GetPtr ()=0
| Retrieve a direct pointer to this object.
virtual csRef< iSndSysStream > | GetStream ()=0
| Retrieve the iSoundStream attached to this source.
virtual float | GetVolume ()=0
| Get volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).
virtual bool | RemoveOutputFilter (SndSysFilterLocation Location, iSndSysSoftwareOutputFilter *pFilter)=0
| Remove an output filter from the registered list.
| SCF_INTERFACE (iSndSysSource, 2, 0, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.
virtual void | SetVolume (float volume)=0
| Set volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

## Detailed Description

Todo:
  Document me!

Definition at line 46 of file ss_source.h.

## Member Function Documentation

virtual bool iSndSysSource::AddOutputFilter | ( | SndSysFilterLocation | Location,
|  | iSndSysSoftwareOutputFilter * | pFilter |
| ) |  |  | `[pure virtual]`

Add an output filter at the specified location.

virtual iSndSysSource* iSndSysSource::GetPtr | ( |  | ) | `[pure virtual]`

Retrieve a direct pointer to this object.

virtual csRef<iSndSysStream> iSndSysSource::GetStream | ( |  | ) | `[pure virtual]`

Retrieve the iSoundStream attached to this source.

virtual float iSndSysSource::GetVolume | ( |  | ) | `[pure virtual]`

Get volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

virtual bool iSndSysSource::RemoveOutputFilter | ( | SndSysFilterLocation | Location,
|  | iSndSysSoftwareOutputFilter * | pFilter |
| ) |  |  | `[pure virtual]`

Remove an output filter from the registered list.

iSndSysSource::SCF_INTERFACE | ( | iSndSysSource | ,
|  | 2 | ,
|  | 0 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

virtual void iSndSysSource::SetVolume | ( | float | volume | ) | `[pure virtual]`

Set volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h